package org.bbaw.pdr.allies.client.tests;

import java.io.FileReader;
import java.util.Properties;

/**
 * Reads common config information from file: <code>./junit.properties</code>.
 * @author Fabian Körner
 */
public final class ConfigurationFromFile
implements Configuration
{

	private static final Properties PROPERTIES;

	static {
		PROPERTIES = new Properties();
		try
		{
			PROPERTIES.load(new FileReader("./junit.properties"));
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	/**
	 */
	public ConfigurationFromFile()
	{
	}

	@Override
	public String getAxis2BaseUri()
	{
		return PROPERTIES.getProperty("AXIS2_BASE_URI", "http://localhost/axis2");
	}

	@Override
	public String getPDRUserPW(final int instance, final int project, final int object)
	{
		StringBuilder sb = new StringBuilder();
		sb.append("PDR_USER_");
		sb.append(Integer.toString(instance));
		sb.append("_");
		sb.append(Integer.toString(project));
		sb.append("_");
		sb.append(Integer.toString(object));
		sb.append("_PW");
		return PROPERTIES.getProperty(sb.toString(), "xxxxx");
	}

	@Override
	public String getPadreUri()
	{
		return PROPERTIES.getProperty("PADRE_URI", "http://localhost/padre/api");
	}

	@Override
	public String getPadreUsername()
	{
		return PROPERTIES.getProperty("PADRE_USERNAME", "padre-client");
	}

	@Override
	public String getPadrePassword()
	{
		return PROPERTIES.getProperty("PADRE_PASSWORD", "xxxxx");
	}

	@Override
	public String getSolrUri()
	{
		return PROPERTIES.getProperty("SOLR_URI", "http://localhost/solr");
	}

}
