package org.bbaw.pdr.allies.client.tests;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.List;

import org.bbaw.pdr.allies.client.Configuration;
import org.bbaw.pdr.allies.client.Repository;
import org.bbaw.pdr.allies.error.PDRStorageException;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author Fabian Körner
 */
public class TestGetModifiedObjects
{

	private static final org.bbaw.pdr.allies.client.tests.Configuration TEST_CONFIG = new ConfigurationFromFile();

	/**
	 * @throws Exception Exception.
	 */
	@BeforeClass
	public static void setUp() throws Exception
	{
		Configuration.getInstance().setAxis2BaseURL(TEST_CONFIG.getAxis2BaseUri());
		Configuration.getInstance().setPDRUser("pdrUo.001.002.000000001", TEST_CONFIG.getPDRUserPW(1, 2, 1));
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(timeout = 2000)
	public final void testProject2() throws Exception
	{
		List<String> actual = Repository.getModifiedObjects(1, 2, "2011-04-07T19:46:49");
		assertEquals(9, actual.size());
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(timeout = 20000, expected = PDRStorageException.class) //FIXME clean up (zweckentfremdet)
	public final void testProject5All() throws Exception
	{
//		try
//		{
		Repository.getModifiedObjects(1, 5, "2011-04-07T19:46:49");
//			List<String> actual = Repository.getModifiedObjects(1, 5, "2011-04-07T19:46:49");
//		}
//		catch (PDRStorageException e) {
//			e.printStackTrace();
//		}
//		assertEquals(1934, actual.size());
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(timeout = 2000, expected = PDRStorageException.class)  //FIXME clean up (zweckentfremdet)
	public final void testProject5Part() throws Exception
	{
		List<String> actual = Repository.getModifiedObjects(1, 5, "2013-07-06T18:16:00");
		assertTrue(81 <= actual.size());
	}

}
