package org.bbaw.pdr.allies.client.tests;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import org.bbaw.pdr.allies.client.Configuration;
import org.bbaw.pdr.allies.client.Repository;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author Fabian Körner
 */
public class TestGetProjectSizes
{

	private static final org.bbaw.pdr.allies.client.tests.Configuration TEST_CONFIG = new ConfigurationFromFile();

	/**
	 * @throws Exception Exception.
	 */
	@BeforeClass
	public static void setUp() throws Exception
	{
		Configuration.getInstance().setAxis2BaseURL(TEST_CONFIG.getAxis2BaseUri());
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test (timeout = 2000)
	public final void testOK() throws Exception
	{
		Map<Integer, Integer> result = Repository.getProjectSizes();

		assertTrue(result instanceof HashMap<?, ?>);

		if (!result.isEmpty())
		{
			for (Entry<Integer, Integer> entry : result.entrySet())
			{
				assertTrue(entry.getKey() instanceof Integer);
				assertTrue(entry.getValue() instanceof Integer);
				assertTrue(entry.getKey() >= 1);
				assertTrue(entry.getValue() >= 0);
			}
		}
		else
		{
			fail("no projects !?");
		}
	}
}
