package org.bbaw.pdr.allies.client.tests;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import org.bbaw.pdr.allies.client.Configuration;
import org.bbaw.pdr.allies.client.Repository;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author Fabian Körner
 */
public class TestGetTime
{

	private static final org.bbaw.pdr.allies.client.tests.Configuration TEST_CONFIG = new ConfigurationFromFile();

	/**
	 * @throws Exception Exception.
	 */
	@BeforeClass
	public static void setUp() throws Exception
	{
		Configuration.getInstance().setAxis2BaseURL(TEST_CONFIG.getAxis2BaseUri());
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test (timeout = 2000)
	public final void testOK() throws Exception
	{
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
		String result = Repository.getTime();
		sdf.parse(result);
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(expected = ParseException.class, timeout = 2000)
	public final void testFail1() throws Exception
	{
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS");
		String result = Repository.getTime().concat("Z");
		sdf.parse(result);
	}

	/**
	 * @throws Exception Exception.
	 */
	@Test(expected = ParseException.class, timeout = 2000)
	public final void testFail2() throws Exception
	{
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss'Z'");
		String result = Repository.getTime();
		sdf.parse(result);
	}

}
