/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PDR-Allies.
 *
 *	PDR-Allies is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PDR-Allies is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PDR-Allies.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.allies.client;

/**
 * PDR object types and the prefixes of their IDs.
 * @author Fabian Körner
 */
public enum PDRType
{
	/**
	 * Aspect (single statement).
	 */
	ASPECT
	{
		@Override
		public String toString()
		{
			return "pdrAo";
		}
	},

	/**
	 * Person.
	 */
	PERSON
	{
		@Override
		public String toString()
		{
			return "pdrPo";
		}
	},

	/**
	 * Reference (information source).
	 */
	REFERENCE
	{
		@Override
		public String toString()
		{
			return "pdrRo";
		}
	},

	/**
	 * PDR user.
	 */
	USER
	{
		@Override
		public String toString()
		{
			return "pdrUo";
		}
	},
}
