package org.bbaw.pdr.allies.client.tests;


/**
 * Specific details of test environments.
 * @author Fabian Koerner
 */
public interface Configuration
{

	/**
	 * @return URI of Axis2 instance in testing environment.
	 */
	String getAxis2BaseUri();

	/**
	 * @param instance Instance ID.
	 * @param project Project ID.
	 * @param object Object ID.
	 * @return Password of PDR test user.
	 */
	String getPDRUserPW(int instance, int project, int object);

	/**
	 * @return URI of PaDRe instance in testing environment.
	 */
	String getPadreUri();

	/**
	 * @return Username of PaDRe user in testing environment.
	 */

	String getPadreUsername();
	/**
	 * @return Password of PaDRe user in testing environment.
	 */
	String getPadrePassword();

	/**
	 * @return URI of Solr instance in testing environment.
	 */
	String getSolrUri();
}
