/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PDR-Allies.
 *
 *	PDR-Allies is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PDR-Allies is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PDR-Allies.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.allies.error;

/**
 * Signalises errors during communication with the database back-end.
 * @author Fabian Körner
 */
public class PDRStorageException extends PDRAlliesClientException
{

	private static final long serialVersionUID = -457684576570512686L;

	/**
	 * @see org.bbaw.pdr.allies.error.PDRAlliesClientException#PDRAlliesClientException(String)
	 * @param message Error message.
	 */
	public PDRStorageException(final String message)
	{
		super(message);
	}

	/**
	 * @see org.bbaw.pdr.allies.error.PDRAlliesClientException#PDRAlliesClientException(Throwable)
	 * @param cause The cause.
	 */
	public PDRStorageException(final Throwable cause)
	{
		super(cause);
	}

	/**
	 * @see org.bbaw.pdr.allies.error.PDRAlliesClientException#PDRAlliesClientException(Throwable)
	 * @param message Error message.
	 * @param cause The cause.
	 */
	public PDRStorageException(final String message, final Throwable cause)
	{
		super(message, cause);
	}

}
