/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PaDRe.
 *
 *	PaDRe is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PaDRe is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PaDRe.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.padre.request;

/**
 * Error signalling in case of invalid PaDRe objects.
 * @author Fabian Körner
 */
public class PadreObjectException extends Exception
{

	private static final long serialVersionUID = -7495018662173277500L;

	/**
	 * @see java.lang.Exception#Exception(String)
	 */
	public PadreObjectException(final String message)
	{
		super(message);
	}

	/**
	 * @see java.lang.Exception#Exception(Throwable)
	 */
	public PadreObjectException(final Throwable cause)
	{
		super(cause);
	}

	/**
	 * @see java.lang.Exception#Exception(String, Throwable)
	 */
	public PadreObjectException(final String message, final Throwable cause)
	{
		super(message, cause);
	}
}
