/*
 *	Copyright 2012-2014 Berlin-Brandenburgische Akademie der Wissenschaften
 *
 *	This file is part of PDR-LIB.
 *
 *	PDR-LIB is free software: you can redistribute it and/or modify it under
 *	the terms of the GNU Lesser General Public License as published by the
 *	Free Software Foundation, either version 3 of the License, or (at your
 *	option) any later version.
 *
 *	PDR-LIB is distributed in the hope that it will be useful, but WITHOUT ANY
 *	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *	FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 *	more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with PDR-LIB.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.bbaw.pdr.solr;

import org.bbaw.pdr.utils.RepositoryException;

/**
 * Error signalising in case of problems while communicating with
 * PDR's Solr index.
 * @author Fabian Körner
 */
public class SolrCommandException extends RepositoryException
{

	private static final long serialVersionUID = -8783174410871243484L;

	/**
	 * @see org.bbaw.pdr.utils.RepositoryException#RepositoryException(String)
	 * @param message Error message.
	 */
	public SolrCommandException(final String message)
	{
		super(ErrorSource.INDEX, message);
	}

	/**
	 * @see org.bbaw.pdr.utils.RepositoryException#RepositoryException(Throwable)
	 * @param cause The cause.
	 */
	public SolrCommandException(final Throwable cause)
	{
		super(ErrorSource.INDEX, cause);
	}

	/**
	 * @see org.bbaw.pdr.utils.RepositoryException#RepositoryException(String, Throwable)
	 * @param message Error message.
	 * @param cause The cause.
	 */
	public SolrCommandException(final String message, final Throwable cause)
	{
		super(ErrorSource.INDEX, message, cause);
	}

}
